<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/FSM/States/WeaponStableState.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d8f/_weapon_stable_state_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">WeaponStableState.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d8f/_weapon_stable_state_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38">   14</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38">MuzzleState</a></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>{</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ac461e84f27bbb236874e1011cd66031f">   17</a></span>    <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ac461e84f27bbb236874e1011cd66031f">U</a>   = -1,</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">   19</a></span>    <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a>   =  0,</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d">   21</a></span>    <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d">F</a>   =  1,</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <a class="code hl_enumvalue" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38aef31cc6fe9479955961311ee18ac205f">L</a>   =  2</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38aef31cc6fe9479955961311ee18ac205f">   24</a></span>}</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="keyword">class </span><a class="code hl_class" href="../../dc/dcc/class_weapon_stable_state.html">WeaponStableState</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>{</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#a79ba4515ace3366212b4313c9757d95f">   28</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a79ba4515ace3366212b4313c9757d95f">m_animState</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#a99c0c3c305a37383f835abc512f2be3f">   30</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;MuzzleState&gt;</a> <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a99c0c3c305a37383f835abc512f2be3f">m_muzzleHasBullet</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;MuzzleState&gt;</a>();</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#ab9784c819cdb3364a2cc773c9275d002">   32</a></span>    <span class="keywordtype">void</span> <a class="code hl_class" href="../../dc/dcc/class_weapon_stable_state.html">WeaponStableState</a>(<a class="code hl_class" href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a> w = NULL, <a class="code hl_class" href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a> parent = NULL, <span class="keywordtype">int</span> anim_state = -1)</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a79ba4515ace3366212b4313c9757d95f">m_animState</a> = anim_state;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a3ec895a8ef12f28fbb3e1acb39c82369">InitMuzzleArray</a>();</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_function" href="../../d8/d8f/_weapon_stable_state_8c.html#a8ac33ecbcbe67f0927aef4a6a31d3749">ValidateMuzzleArray</a>();</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#a47014499e6555065de53646aac9821f9">   39</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d8f/_weapon_stable_state_8c.html#a47014499e6555065de53646aac9821f9">SyncAnimState</a>()</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordtype">int</span> curr = <a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>.GetWeaponAnimState();</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">if</span> (curr != <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a79ba4515ace3366212b4313c9757d95f">m_animState</a>)</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        {           </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <span class="comment">//fsmDebugSpam(&quot;[wpnfsm] &quot; + Object.GetDebugName(m_weapon) + &quot; synchronizing anim state: &quot; + curr + &quot; --&gt; &quot; + m_animState);</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            DayZPlayer p;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(p, <a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>.GetHierarchyParent()))</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                <a class="code hl_class" href="../../da/dd0/class_human_command_weapons.html">HumanCommandWeapons</a> hcw = p.GetCommandModifier_Weapons();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>                <span class="keywordflow">if</span> (hcw)</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                    hcw.<a class="code hl_function" href="../../da/dd0/class_human_command_weapons.html#ad6f1b89369275489b9f8da07bed03e13">SetInitState</a>(<a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a79ba4515ace3366212b4313c9757d95f">m_animState</a>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>                    <a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>.SetWeaponAnimState(<a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a79ba4515ace3366212b4313c9757d95f">m_animState</a>);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>                    <a class="code hl_function" href="../../d4/d99/_h_f_s_m_base_8c.html#a42ec7b4847da51d422f4b048151c94a1">fsmDebugSpam</a>(<span class="stringliteral">&quot;[wpnfsm] &quot;</span> + <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a>.GetDebugName(<a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>) + <span class="stringliteral">&quot; state=&quot;</span> + <a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>.GetCurrentState().Type() + <span class="stringliteral">&quot; synchronized anim state: &quot;</span> + <span class="keyword">typename</span>.EnumToString(<a class="code hl_enumeration" href="../../d1/daa/_pistol___base_8c.html#a01254921fa7633b3f421796d9b52d45f">PistolAnimState</a>, curr) + <span class="stringliteral">&quot; --&gt; &quot;</span> + <span class="keyword">typename</span>.EnumToString(<a class="code hl_enumeration" href="../../d1/daa/_pistol___base_8c.html#a01254921fa7633b3f421796d9b52d45f">PistolAnimState</a>, <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a79ba4515ace3366212b4313c9757d95f">m_animState</a>));</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>                }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>                    Human wpnOwner = Human.Cast(<a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>.GetHierarchyRootPlayer());</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>                    <a class="code hl_class" href="../../da/dd0/class_human_command_weapons.html">HumanCommandWeapons</a>.<a class="code hl_function" href="../../da/dd0/class_human_command_weapons.html#a3b1db919cf19f0c7875fb1a9a922e5f2">StaticSetInitState</a>(wpnOwner, <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a79ba4515ace3366212b4313c9757d95f">m_animState</a>);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>                    <a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>.SetWeaponAnimState(<a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a79ba4515ace3366212b4313c9757d95f">m_animState</a>);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                    <a class="code hl_function" href="../../d4/d99/_h_f_s_m_base_8c.html#a42ec7b4847da51d422f4b048151c94a1">fsmDebugSpam</a>(<span class="stringliteral">&quot;[wpnfsm] &quot;</span> + <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a>.GetDebugName(<a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>) + <span class="stringliteral">&quot; state=&quot;</span> + <a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>.GetCurrentState().Type() + <span class="stringliteral">&quot; synchronized remote anim state: &quot;</span> + <span class="keyword">typename</span>.EnumToString(<a class="code hl_enumeration" href="../../d1/daa/_pistol___base_8c.html#a01254921fa7633b3f421796d9b52d45f">PistolAnimState</a>, curr) + <span class="stringliteral">&quot; --&gt; &quot;</span> + <span class="keyword">typename</span>.EnumToString(<a class="code hl_enumeration" href="../../d1/daa/_pistol___base_8c.html#a01254921fa7633b3f421796d9b52d45f">PistolAnimState</a>, <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a79ba4515ace3366212b4313c9757d95f">m_animState</a>));</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>                }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            }       </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#a554194fbf83f198e8f8e9ecb7a31e330">   66</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_variable" href="../../d2/db3/_single_shot_pistol___base_8c.html#a3ed70c6f00023473563b38dd40750479">OnEntry</a>(<a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        super.<a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a4317e82e93379b1e0cdcb1112796367d">OnEntry</a>(e);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>.SetJammed(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">if</span> (e)</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <a class="code hl_function" href="../../d8/d8f/_weapon_stable_state_8c.html#a47014499e6555065de53646aac9821f9">SyncAnimState</a>();</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#abf66986e08676e65b1e4fbf3c5f69f48">   73</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dc3/group___tools.html#gab414e48870421e21bf5553f4033493b0">OnUpdate</a>(<span class="keywordtype">float</span> dt)</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        super.OnUpdate(dt);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <a class="code hl_function" href="../../d8/d8f/_weapon_stable_state_8c.html#a47014499e6555065de53646aac9821f9">SyncAnimState</a>();</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#aa40f8697dfa587f8adabc8640bc98ad8">   78</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a2b24124714481d5944daedea764ef07a">OnExit</a>(<a class="code hl_class" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a> e)</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <a class="code hl_variable" href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a>.ResetWeaponAnimState();</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        super.OnExit(e);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#a8ce19f9cc6998a5eacdec013ddce60a4">   84</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d8f/_weapon_stable_state_8c.html#a8ce19f9cc6998a5eacdec013ddce60a4">IsIdle</a>() { <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#a2755e768813b00535baf640d4fa0072b">   86</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a71d886cf9e101812137133a25a5efc5d">GetCurrentStateID</a>() { <span class="keywordflow">return</span> 0; }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#a1ad4854e0ffb19d0fb1ef1c0a2f02022">  108</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#ac25b31cf36d1dadc8120054f1eb43e5e">IsRepairEnabled</a>() { <span class="keywordflow">return</span> <span class="keyword">false</span>; }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#ae5a5d72bdc4fe3b43f7dd659bab6c9e6">  115</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a4b66543cd3ec146ccb5bdf7da9b82be2">HasBullet</a>() { <span class="keywordflow">return</span> <span class="keyword">false</span>; }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#af9b68ed626f00e1471073b049b44368e">  118</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#ae6fd560194ec4459eb3731047b22d510">HasMagazine</a>() { <span class="keywordflow">return</span> <span class="keyword">false</span>; }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#ae0d1a50d3504207b5de70c8d79d134f3">  121</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a17fafa12bb56d472c515b8dc2a1669a8">IsJammed</a>() { <span class="keywordflow">return</span> <span class="keyword">false</span>; }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#a72828d64adb99c774bd27b96c8c2ed0a">  124</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dcc/class_weapon_stable_state.html#a3ec895a8ef12f28fbb3e1acb39c82369">InitMuzzleArray</a>() { <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a99c0c3c305a37383f835abc512f2be3f">m_muzzleHasBullet</a> = { <a class="code hl_enumeration" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38">MuzzleState</a>.U }; }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#aa197540bba69806afc5e6dfa47f8abaa">  127</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d8f/_weapon_stable_state_8c.html#aa197540bba69806afc5e6dfa47f8abaa">IsSingleState</a>() { <span class="keywordflow">return</span> <span class="keyword">false</span>; }</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#ae2988b659d0ad648568bacac068a87df">  137</a></span>    <a class="code hl_enumeration" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38">MuzzleState</a> <a class="code hl_function" href="../../d8/d8f/_weapon_stable_state_8c.html#ae2988b659d0ad648568bacac068a87df">GetMuzzleState</a>(<span class="keywordtype">int</span> idx) { <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a99c0c3c305a37383f835abc512f2be3f">m_muzzleHasBullet</a>[idx]; }  </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#a2c54cd58c2016e282a662d32432a627a">  138</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d8/d8f/_weapon_stable_state_8c.html#a2c54cd58c2016e282a662d32432a627a">GetMuzzleStateCount</a>() { <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a99c0c3c305a37383f835abc512f2be3f">m_muzzleHasBullet</a>.Count(); } </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#a462aeaa38513f789b9037a07f457bcad">  139</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d8f/_weapon_stable_state_8c.html#a462aeaa38513f789b9037a07f457bcad">IsChamberValid</a>(<span class="keywordtype">int</span> idx) { <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a99c0c3c305a37383f835abc512f2be3f">m_muzzleHasBullet</a>[idx] != <a class="code hl_enumeration" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38">MuzzleState</a>.U; }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#ad02cadbbfe88b6fa28acd9649244d73c">  140</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d8f/_weapon_stable_state_8c.html#ad02cadbbfe88b6fa28acd9649244d73c">IsChamberFiredOut</a>(<span class="keywordtype">int</span> idx) { <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a99c0c3c305a37383f835abc512f2be3f">m_muzzleHasBullet</a>[idx] == <a class="code hl_enumeration" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38">MuzzleState</a>.F; }</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#ae62d9ebf7276af123ad0d441662bb599">  141</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d8f/_weapon_stable_state_8c.html#ae62d9ebf7276af123ad0d441662bb599">IsChamberFull</a>(<span class="keywordtype">int</span> idx) { <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a99c0c3c305a37383f835abc512f2be3f">m_muzzleHasBullet</a>[idx] != <a class="code hl_enumeration" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38">MuzzleState</a>.E; }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="../../d8/d8f/_weapon_stable_state_8c.html#a8ac33ecbcbe67f0927aef4a6a31d3749">  146</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d8f/_weapon_stable_state_8c.html#a8ac33ecbcbe67f0927aef4a6a31d3749">ValidateMuzzleArray</a>()</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    {</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <span class="comment">// There is only one</span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d8f/_weapon_stable_state_8c.html#aa197540bba69806afc5e6dfa47f8abaa">IsSingleState</a>())</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        <span class="keywordtype">bool</span> failed = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        <span class="keywordflow">if</span> (!failed)</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        {</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            <span class="keywordflow">foreach</span> (<a class="code hl_enumeration" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38">MuzzleState</a> state : <a class="code hl_variable" href="../../d8/d8f/_weapon_stable_state_8c.html#a99c0c3c305a37383f835abc512f2be3f">m_muzzleHasBullet</a>)</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>            {</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>                <span class="keywordflow">if</span> ( state == <a class="code hl_enumeration" href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38">MuzzleState</a>.U )</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>                {</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>                    failed = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>                }</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>            }</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        }</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <span class="keywordflow">if</span> (failed)</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        {</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>            <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a>(<span class="stringliteral">&quot;Muzzle array validation has failed. Please set up the correct muzzle states by overriding InitMuzzleArray.&quot;</span>, <a class="code hl_enumeration" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a>.INFO);</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        }</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    }</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>};</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span> </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span> </div>
<div class="ttc" id="a_guards_8c_html_ad0af4429be0c56056dbf78f31157a010"><div class="ttname"><a href="../../de/dc3/_guards_8c.html#ad0af4429be0c56056dbf78f31157a010">m_weapon</a></div><div class="ttdeci">class WeaponGuardIsDestroyed extends WeaponGuardBase m_weapon</div></div>
<div class="ttc" id="a_h_f_s_m_base_8c_html_a42ec7b4847da51d422f4b048151c94a1"><div class="ttname"><a href="../../d4/d99/_h_f_s_m_base_8c.html#a42ec7b4847da51d422f4b048151c94a1">fsmDebugSpam</a></div><div class="ttdeci">void fsmDebugSpam(string s)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d99/_h_f_s_m_base_8c_source.html#l00005">HFSMBase.c:5</a></div></div>
<div class="ttc" id="a_pistol___base_8c_html_a01254921fa7633b3f421796d9b52d45f"><div class="ttname"><a href="../../d1/daa/_pistol___base_8c.html#a01254921fa7633b3f421796d9b52d45f">PistolAnimState</a></div><div class="ttdeci">PistolAnimState</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/daa/_pistol___base_8c_source.html#l00002">Pistol_Base.c:3</a></div></div>
<div class="ttc" id="a_single_shot_pistol___base_8c_html_a3ed70c6f00023473563b38dd40750479"><div class="ttname"><a href="../../d2/db3/_single_shot_pistol___base_8c.html#a3ed70c6f00023473563b38dd40750479">OnEntry</a></div><div class="ttdeci">class SSPFireout extends WeaponStableState OnEntry</div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_a2c54cd58c2016e282a662d32432a627a"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#a2c54cd58c2016e282a662d32432a627a">GetMuzzleStateCount</a></div><div class="ttdeci">int GetMuzzleStateCount()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00138">WeaponStableState.c:138</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_a462aeaa38513f789b9037a07f457bcad"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#a462aeaa38513f789b9037a07f457bcad">IsChamberValid</a></div><div class="ttdeci">bool IsChamberValid(int idx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00139">WeaponStableState.c:139</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_a47014499e6555065de53646aac9821f9"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#a47014499e6555065de53646aac9821f9">SyncAnimState</a></div><div class="ttdeci">void SyncAnimState()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00039">WeaponStableState.c:39</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_a79ba4515ace3366212b4313c9757d95f"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#a79ba4515ace3366212b4313c9757d95f">m_animState</a></div><div class="ttdeci">enum MuzzleState m_animState</div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_a81850a19579d69fbd62d39a8f08a5f38"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38">MuzzleState</a></div><div class="ttdeci">MuzzleState</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00014">WeaponStableState.c:15</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ab199e021998d49b1f09338d8b9b18ecb">E</a></div><div class="ttdeci">@ E</div><div class="ttdoc">EMPTY.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00019">WeaponStableState.c:19</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_a81850a19579d69fbd62d39a8f08a5f38ac461e84f27bbb236874e1011cd66031f"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38ac461e84f27bbb236874e1011cd66031f">U</a></div><div class="ttdeci">@ U</div><div class="ttdoc">UNKNOWN.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00017">WeaponStableState.c:17</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_a81850a19579d69fbd62d39a8f08a5f38aef31cc6fe9479955961311ee18ac205f"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38aef31cc6fe9479955961311ee18ac205f">L</a></div><div class="ttdeci">@ L</div><div class="ttdoc">LOADED.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00024">WeaponStableState.c:23</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#a81850a19579d69fbd62d39a8f08a5f38af382a63cc3d6491bf26b59e66f46826d">F</a></div><div class="ttdeci">@ F</div><div class="ttdoc">FIRED.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00021">WeaponStableState.c:21</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_a8ac33ecbcbe67f0927aef4a6a31d3749"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#a8ac33ecbcbe67f0927aef4a6a31d3749">ValidateMuzzleArray</a></div><div class="ttdeci">void ValidateMuzzleArray()</div><div class="ttdoc">Safety check and error message in case not set up correctly.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00146">WeaponStableState.c:146</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_a8ce19f9cc6998a5eacdec013ddce60a4"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#a8ce19f9cc6998a5eacdec013ddce60a4">IsIdle</a></div><div class="ttdeci">override bool IsIdle()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00084">WeaponStableState.c:84</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_a99c0c3c305a37383f835abc512f2be3f"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#a99c0c3c305a37383f835abc512f2be3f">m_muzzleHasBullet</a></div><div class="ttdeci">ref array&lt; MuzzleState &gt; m_muzzleHasBullet</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00030">WeaponStableState.c:30</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_aa197540bba69806afc5e6dfa47f8abaa"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#aa197540bba69806afc5e6dfa47f8abaa">IsSingleState</a></div><div class="ttdeci">bool IsSingleState()</div><div class="ttdoc">Special one for when the weapon only has one singular state (like Magnum)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00127">WeaponStableState.c:127</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_ad02cadbbfe88b6fa28acd9649244d73c"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#ad02cadbbfe88b6fa28acd9649244d73c">IsChamberFiredOut</a></div><div class="ttdeci">bool IsChamberFiredOut(int idx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00140">WeaponStableState.c:140</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_ae2988b659d0ad648568bacac068a87df"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#ae2988b659d0ad648568bacac068a87df">GetMuzzleState</a></div><div class="ttdeci">MuzzleState GetMuzzleState(int idx)</div><div class="ttdoc">Get chamber state of the muzzle at index.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00137">WeaponStableState.c:137</a></div></div>
<div class="ttc" id="a_weapon_stable_state_8c_html_ae62d9ebf7276af123ad0d441662bb599"><div class="ttname"><a href="../../d8/d8f/_weapon_stable_state_8c.html#ae62d9ebf7276af123ad0d441662bb599">IsChamberFull</a></div><div class="ttdeci">bool IsChamberFull(int idx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d8f/_weapon_stable_state_8c_source.html#l00141">WeaponStableState.c:141</a></div></div>
<div class="ttc" id="aclass_human_command_weapons_html"><div class="ttname"><a href="../../da/dd0/class_human_command_weapons.html">HumanCommandWeapons</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00893">human.c:894</a></div></div>
<div class="ttc" id="aclass_human_command_weapons_html_a3b1db919cf19f0c7875fb1a9a922e5f2"><div class="ttname"><a href="../../da/dd0/class_human_command_weapons.html#a3b1db919cf19f0c7875fb1a9a922e5f2">HumanCommandWeapons::StaticSetInitState</a></div><div class="ttdeci">proto static native void StaticSetInitState(Human pHuman, int pFrameIdx)</div><div class="ttdoc">just static version of SetInitState</div></div>
<div class="ttc" id="aclass_human_command_weapons_html_ad6f1b89369275489b9f8da07bed03e13"><div class="ttname"><a href="../../da/dd0/class_human_command_weapons.html#ad6f1b89369275489b9f8da07bed03e13">HumanCommandWeapons::SetInitState</a></div><div class="ttdeci">proto native void SetInitState(int pFrameIndex)</div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_weapon___base_html"><div class="ttname"><a href="../../d3/d9c/class_weapon___base.html">Weapon_Base</a></div><div class="ttdoc">shorthand</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d62/_bolt_action_rifle___base_8c_source.html#l00005">BoltActionRifle_Base.c:6</a></div></div>
<div class="ttc" id="aclass_weapon_event_base_html"><div class="ttname"><a href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a></div><div class="ttdoc">signalize mechanism manipulation</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dea/_events_8c_source.html#l00034">Events.c:35</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html">WeaponStableState</a></div><div class="ttdoc">represents weapon's stable state (i.e. the basic states that the weapon will spend the most time in)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00029">SKS.c:30</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html_a17fafa12bb56d472c515b8dc2a1669a8"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html#a17fafa12bb56d472c515b8dc2a1669a8">WeaponStableState::IsJammed</a></div><div class="ttdeci">override bool IsJammed()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00036">SKS.c:36</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html_a2b24124714481d5944daedea764ef07a"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html#a2b24124714481d5944daedea764ef07a">WeaponStableState::OnExit</a></div><div class="ttdeci">override void OnExit(WeaponEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00032">SKS.c:32</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html_a3ec895a8ef12f28fbb3e1acb39c82369"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html#a3ec895a8ef12f28fbb3e1acb39c82369">WeaponStableState::InitMuzzleArray</a></div><div class="ttdeci">override void InitMuzzleArray()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00038">SKS.c:38</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html_a4317e82e93379b1e0cdcb1112796367d"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html#a4317e82e93379b1e0cdcb1112796367d">WeaponStableState::OnEntry</a></div><div class="ttdeci">override void OnEntry(WeaponEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00031">SKS.c:31</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html_a4b66543cd3ec146ccb5bdf7da9b82be2"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html#a4b66543cd3ec146ccb5bdf7da9b82be2">WeaponStableState::HasBullet</a></div><div class="ttdeci">override bool HasBullet()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00034">SKS.c:34</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html_a71d886cf9e101812137133a25a5efc5d"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html#a71d886cf9e101812137133a25a5efc5d">WeaponStableState::GetCurrentStateID</a></div><div class="ttdeci">override int GetCurrentStateID()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00033">SKS.c:33</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html_ac25b31cf36d1dadc8120054f1eb43e5e"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html#ac25b31cf36d1dadc8120054f1eb43e5e">WeaponStableState::IsRepairEnabled</a></div><div class="ttdeci">override bool IsRepairEnabled()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00037">SKS.c:37</a></div></div>
<div class="ttc" id="aclass_weapon_stable_state_html_ae6fd560194ec4459eb3731047b22d510"><div class="ttname"><a href="../../dc/dcc/class_weapon_stable_state.html#ae6fd560194ec4459eb3731047b22d510">WeaponStableState::HasMagazine</a></div><div class="ttdeci">override bool HasMagazine()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/daa/_s_k_s_8c_source.html#l00035">SKS.c:35</a></div></div>
<div class="ttc" id="aclass_weapon_state_base_html"><div class="ttname"><a href="../../d2/db4/class_weapon_state_base.html">WeaponStateBase</a></div><div class="ttdoc">represent weapon state base</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da2/_bullet_hide_8c_source.html#l00001">BulletHide.c:2</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agroup___debug_html_ga750f272dd3e344b461130dece1aea917"><div class="ttname"><a href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a></div><div class="ttdeci">ErrorExSeverity</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00061">EnDebug.c:62</a></div></div>
<div class="ttc" id="agroup___debug_shape_html_ga30f13400906443efe9fb79540dc674b5"><div class="ttname"><a href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a></div><div class="ttdeci">enum ShapeType ErrorEx</div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___tools_html_gab414e48870421e21bf5553f4033493b0"><div class="ttname"><a href="../../d9/dc3/group___tools.html#gab414e48870421e21bf5553f4033493b0">OnUpdate</a></div><div class="ttdeci">proto native void OnUpdate()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00335">tools.c:335</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../dir_372752df6a93f8a8dc049f875df777d6.html">FSM</a></li><li class="navelem"><a class="el" href="../../dir_22eec264e034c1217c0d1740cfb655ec.html">States</a></li><li class="navelem"><a class="el" href="../../d8/d8f/_weapon_stable_state_8c.html">WeaponStableState.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
